# Interface HtmlPointParent<T>

interface HtmlPointParent<T extends TrackCoordinate3D> {
centerPoint: () => Html2CanvasPoint;
rotate: (point: Html2CanvasPoint) => void;
scale: (point: Html2CanvasPoint, retainAspectRatio?: boolean) => void;
translate: () => void;
worldMatrix: () => Matrix;
}

#### Type Parameters

- T extends TrackCoordinate3D

#### Implemented by

- Html2CanvasPlane

##### Index

### Properties

centerPoint
rotate
scale
translate
worldMatrix

## Properties

### centerPoint

centerPoint: () => Html2CanvasPoint

### rotate

rotate: (point: Html2CanvasPoint) => void

### scale

scale: (point: Html2CanvasPoint, retainAspectRatio?: boolean) => void

### translate

translate: () => void

### worldMatrix

worldMatrix: () => Matrix